timmy/rq/scripts/nova-service-list
f3flight 44ac4b893f Many minor changes
+ add quiet mode
+ add warning loglevel argument
+ minor arg changes (-F -> -G)
+ fix put_files bugs
+ add automatic shell command escaping and fix awk commands after this change
+ small log message changes
+ remove use of temporary files for get_logs
+ implement reliable stdin in ssh_node
+ add exit PIPESTATUS into get_logs
+ add function to check if given node attrs are non-empty, used for cli prints
+ make args optional in RunIttem and SemaphoreProcess
+ fix stderr utf-8 decode issue (not a fix, more of a workaround, need better fix)
+ 'inputfile' now unnecessary in ssh_node (not used) but left in there for now
+ used 'xxd' to encode stdin to keep \0 bytes. Can use base64 instead, no real difference.
2016-05-17 04:27:41 +00:00

3 lines
111 B
Plaintext

source "$OPENRC"
nova help | grep 'service-list' &> /dev/null && nova service-list || nova-manage service list